--
-- ==== Plague Knight ====
-- == By TehRealSalt ==
--
-- colors.lua: Fun extra skincolors based on all of his additional colors :)
--

freeslot(
	-- Normal cloak colors
	"SKINCOLOR_TOPAZ", -- Treasure Trappings
	"SKINCOLOR_GOO", -- Goo Garmet
	"SKINCOLOR_MAROON", -- Ward Robe
	"SKINCOLOR_DANDY", -- Dandy Duds

	-- Cheat code / Pandemonium cloak colors
	"SKINCOLOR_CRYSTALIZE", -- A&SK000
	"SKINCOLOR_BUTTER", -- A&EABSK
	"SKINCOLOR_CARMINE", -- A&009SK
	"SKINCOLOR_DANCEFLOOR", -- A&GLUSP
	"SKINCOLOR_SEABED", -- A&DRIAB
	"SKINCOLOR_CLONE", -- A&CHOED
	"SKINCOLOR_MARIGOLD", -- A&THIAB
	"SKINCOLOR_SPICY", -- A&BROES
	"SKINCOLOR_NAMEKIAN", -- A&FIATH
	"SKINCOLOR_GEMSTONE", -- A&VLEFR
	"SKINCOLOR_HOTROD", -- A&THIEC
	"SKINCOLOR_AURORA", -- A&FIAST
	"SKINCOLOR_CANDY", -- A&DOUCR
	"SKINCOLOR_HARVEST", -- A&DRLAG
	"SKINCOLOR_STEAMPUNK", -- A&RIETH
	"SKINCOLOR_MIDNIGHT"  -- A&STIUJ
)

skincolors[SKINCOLOR_TOPAZ] = {
    name = "Topaz",
    ramp = {131,133,134,135,135,136,136,173,173,173,168,168,46,47,29,28},
    invcolor = SKINCOLOR_NEON,
    invshade = 6,
    chatcolor = V_BLUEMAP,
    accessible = true
}

skincolors[SKINCOLOR_GOO] = {
    name = "Goo",
    ramp = {80,81,88,88,188,188,189,189,189,114,115,116,126,127,119,111},
    invcolor = SKINCOLOR_TEAL,
    invshade = 6,
    chatcolor = V_PERIDOTMAP,
    accessible = true
}

skincolors[SKINCOLOR_MAROON] = {
    name = "Maroon",
    ramp = {33,36,37,39,41,43,43,235,235,24,25,26,27,28,29,30},
    invcolor = SKINCOLOR_SILVER,
    invshade = 6,
    chatcolor = V_REDMAP,
    accessible = true
}

skincolors[SKINCOLOR_DANDY] = {
    name = "Dandy",
    ramp = {83,83,64,64,65,65,66,66,67,67,67,68,68,69,70,71},
    invcolor = SKINCOLOR_TOPAZ,
    invshade = 6,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_CRYSTALIZE] = {
    name = "Crystalize",
    ramp = {128,129,130,131,132,133,147,162,162,163,164,165,166,167,168,169},
    invcolor = SKINCOLOR_CARBON,
    invshade = 8,
    chatcolor = V_SKYMAP,
    accessible = true
}

skincolors[SKINCOLOR_BUTTER] = {
    name = "Butter",
    ramp = {80,81,82,83,73,74,86,86,87,87,18,19,20,21,24,27},
    invcolor = SKINCOLOR_GOO,
    invshade = 8,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_CARMINE] = {
    name = "Carmine",
    ramp = {33,35,37,38,39,40,41,42,43,44,45,46,47,29,30,31},
    invcolor = SKINCOLOR_RUST,
    invshade = 10,
    chatcolor = V_REDMAP,
    accessible = true
}

skincolors[SKINCOLOR_DANCEFLOOR] = {
    name = "Dancefloor",
    ramp = {181,182,182,204,204,205,165,165,165,166,166,166,154,156,158,253},
    invcolor = SKINCOLOR_PURPLE,
    invshade = 10,
    chatcolor = V_PURPLEMAP,
    accessible = true
}

skincolors[SKINCOLOR_SEABED] = {
    name = "Seabed",
    ramp = {120,255,131,132,134,135,125,125,126,126,117,117,117,118,119,111},
    invcolor = SKINCOLOR_PERIDOT,
    invshade = 8,
    chatcolor = V_AQUAMAP,
    accessible = true
}

skincolors[SKINCOLOR_CLONE] = {
    name = "Clone",
    ramp = {0,0,2,3,5,7,9,10,12,13,15,17,19,21,24,27},
    invcolor = SKINCOLOR_SILVER,
    invshade = 8,
    chatcolor = V_GRAYMAP,
    accessible = true
}

skincolors[SKINCOLOR_MARIGOLD] = {
    name = "Marigold",
    ramp = {73,74,74,75,75,67,67,68,68,59,60,61,62,63,45,46},
    invcolor = SKINCOLOR_VIOLET,
    invshade = 8,
    chatcolor = V_ORANGEMAP,
    accessible = true
}

skincolors[SKINCOLOR_SPICY] = {
    name = "Spicy",
    ramp = {120,121,122,98,99,99,92,92,228,214,215,215,40,42,44,46},
    invcolor = SKINCOLOR_FLAME,
    invshade = 6,
    chatcolor = V_GREENMAP,
    accessible = true
}

skincolors[SKINCOLOR_NAMEKIAN] = {
    name = "Namekian",
    ramp = {98,114,114,115,115,116,116,126,126,172,172,166,166,167,167,169},
    invcolor = SKINCOLOR_CYAN,
    invshade = 4,
    chatcolor = V_GREENMAP,
    accessible = true
}

skincolors[SKINCOLOR_GEMSTONE] = {
    name = "Gemstone",
    ramp = {208,177,178,179,162,162,163,195,195,196,196,235,236,237,238,239},
    invcolor = SKINCOLOR_GOLD,
    invshade = 6,
    chatcolor = V_MAGENTAMAP,
    accessible = true
}

skincolors[SKINCOLOR_HOTROD] = {
    name = "Hotrod",
    ramp = {208,216,49,50,51,51,52,52,53,54,55,56,37,39,42,45},
    invcolor = SKINCOLOR_SKY,
    invshade = 6,
    chatcolor = V_ORANGEMAP,
    accessible = true
}

skincolors[SKINCOLOR_AURORA] = {
    name = "Aurora",
    ramp = {0,120,120,121,121,122,122,123,123,141,141,135,135,136,137,138},
    invcolor = SKINCOLOR_PURPLE,
    invshade = 8,
    chatcolor = V_AQUAMAP,
    accessible = true
}

skincolors[SKINCOLOR_CANDY] = {
    name = "Candy",
    ramp = {176,177,178,179,202,202,202,193,193,148,148,135,136,137,138,139},
    invcolor = SKINCOLOR_VIOLET,
    invshade = 10,
    chatcolor = V_ROSYMAP,
    accessible = true
}

skincolors[SKINCOLOR_HARVEST] = {
    name = "Harvest",
    ramp = {81,82,83,84,84,74,74,65,65,211,203,203,204,206,43,46},
    invcolor = SKINCOLOR_KETCHUP,
    invshade = 8,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_STEAMPUNK] = {
    name = "Steampunk",
    ramp = {90,91,92,77,78,69,70,70,236,236,26,26,199,199,254,31},
    invcolor = SKINCOLOR_COPPER,
    invshade = 6,
    chatcolor = V_BROWNMAP,
    accessible = true
}

skincolors[SKINCOLOR_MIDNIGHT] = {
    name = "Midnight",
    ramp = {147,148,149,172,172,166,166,166,167,167,167,25,25,27,29,31},
    invcolor = SKINCOLOR_EMERALD,
    invshade = 8,
    chatcolor = V_BLUEMAP,
    accessible = true
}
